Developer Documentation
Ticketwise API Class Definitions
This documentation describes the Classes that are available through the API. For each class, the documentation includes:- Attributes: including a description, whether or not the attribute is required when PUTing or POSTing, a validation rule (either a set of values or a regular expression), and access level denoting the available HTTP methods (GET, PUT, POST, DELETE, HEAD, and OPTIONS).
- Relationships: including the type of the relationship (belongsTo, hasMany, or belongsToAndHasMany), target class of the relationship, and foreign key used
- Permissions
- Example usage
Please read through Ticketwise API Intro for more details.
Important Links
-
Ticketwise API Intro
Complete description of how the API works, RESTful Web Services, URI structure, supported HTTP methods, headers and status codes, the authentication process and more.
https://tickets.ticketwise.com/rest.api/EventEvent
A single event in the Ticketwise system. An event must be linked to a Seller
(http://tickets.ticketwise.com/rest.api/Seller) and a Venue (http://tickets.ticketwise.com/rest.api/Venue).
Examples:
Get an event:
curl --header "X-API-Token: 7476...4a87" http://tickets.ticketwise.com/rest.api/Event/4444Create an Event
curl --header "X-API-Token: 7476...4a87" -X POST -d '{"seller_id":"678","venue_id":"842","event":"Event Title","description":"event desc","inventory":"600","private_event":"0","price":"18.00","price_label":"General Admission","price_limit":"1","ticket_purchase_timelimit":null,"ticket_purchase_limit":null,"will_call_ticketing":null,"ages":"0","image":"20091252630916.jpg","url":"http:\/\/www.jokerprod.com","event_type":"3","ticket_note":null,"genre":"Alternative","status":"5","scheme_id":null,"keywords":null,"sales_open":"2009-09-19 14:39:00","event_start":"2009-11-08 18:30:00","event_end":"0000-00-00 00:00:00","short_name":"","parent":null,"display_image":"1"}' https://tickets.ticketwise.com/rest.api/EventEdit an Event
curl --header "X-API-Token: 7476...4a87" -X PUT -d '{"event_id":"6454","seller_id":"678","venue_id":"842","event":"My New Event Title","description":"event desc","inventory":"600","private_event":"0","price":"18.00","price_label":"General Admission","price_limit":"1","ticket_purchase_timelimit":null,"ticket_purchase_limit":null,"will_call_ticketing":null,"ages":"0","image":"20091252630916.jpg","url":"http:\/\/www.jokerprod.com","event_type":"3","ticket_note":null,"genre":"Alternative","status":"5","scheme_id":null,"keywords":null,"sales_open":"2009-09-19 14:39:00","event_start":"2009-11-08 18:30:00","event_end":"0000-00-00 00:00:00","short_name":"","parent":null,"display_image":"1"}' https://tickets.ticketwise.com/rest.api/Event/6454Delete an Event
curl --header "X-API-Token: 7476...4a87" -X DELETE https://tickets.ticketwise.com/rest.api/Event/6454Attributes
ages, approval_note, approval_user_id, approved, behavior_set, bos_price, cardprinter_layout, combine_additional_fees, date_added, date_approved, date_edited, description, display_image, donation_live, donation_name, event, event_category_id, event_end, event_id, event_start, event_type, genre, image, image_url, inventory, keywords, level_description, listing_url, newsletter_sent, parent, position, price, price_active, price_label, price_limit, private_event, product_map, sales_close, sales_open, scheme_id, seller_id, short_name, show_seating_chart, status, thumbnail_url, ticket_note, ticket_purchase_limit, ticket_purchase_timelimit, tos_id, tweet_url, tweeted_at, url, venue_id
Relationships
bundles, event_seats, event_sections, notes, package_child_map, price_levels, products, scheme, section_price_levels, sections, seller, venue
API » EventEvent » Attributes
API » Event » Attributesevent_id
Description: int. Primary Key. Id of an event.
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Event » Attributesseller_id
Description: int. Foriegn Key to a Seller. Required for an event. See http://tickets.ticketwise.com/rest.api/Seller
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Event » Attributesvenue_id
Description: int. Foriegn Key to a Venue. Required for an event. See http://tickets.ticketwise.com/rest.api/Venue
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Event » Attributesevent
Description: string. the title of the event.
Required: Yes
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: Yes
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Event » Attributesbehavior_set
Description: int. bit set represented as an int. gives characteristics of an event. see clockingIT "note" for more.
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Event » Attributesdescription
Description: string. description of the event. santized to allow limited html supported. no javascript.
Required: Yes
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: Yes
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Event » Attributesinventory
Description: int. total inventory of this event, if a general admission event
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Event » Attributesprivate_event
Description: int. If set to 1, don't show up in searches and public listings
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Event » Attributesprice
Description: double. the price of a general admission ticket. additional price levels can bee set with the PriceLevel Class. see http://tickets.ticketwise.com/rest.api/PriceLevel
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Event » Attributesbos_price
Description: box office GA ticket price
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Event » Attributesprice_label
Description: string. name of the general admission base price level
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Event » Attributesprice_limit
Description: int. the inventory of this price level
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Event » Attributesprice_active
Description: boolean. Turn the base price level on and off for online sales
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Event » Attributesticket_purchase_timelimit
Description: int. seconds to complete order. default is 7 minutes.
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Event » Attributesticket_purchase_limit
Description: int. max tickets one can purchase in a sale
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Event » Attributessales_close
Description: string. hours:minutes before the start of the event that sales should close
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Event » Attributesages
Description:
Required: No
Rule In: 0, 18, 19, 21
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule In: 0, 18, 19, 21
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Event » Attributesimage
Description: string. code relies on these images in a certain dir, should fix to work with full uri with api
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Event » Attributesurl
Description: string. url to an external event website
Required: No
Rule Regex: /^https?:\/\/[a-zA-Z0-9.\-]+\.[a-zA-Z]+(\/.*)?$/
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule Regex: /^https?:\/\/[a-zA-Z0-9.\-]+\.[a-zA-Z]+(\/.*)?$/
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Event » Attributesevent_type
Description: int. 3 for General Admission Event, 2 for an Assigned Seating Event
Required: Yes
Rule In: 2, 3
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: Yes
Rule In: 2, 3
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Event » Attributesticket_note
Description: string. Short text to appear on the bottom of the print at home ticket e.g. "Doors open at 6:00pm"
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Event » Attributesevent_category_id
Description: int. fk to category table
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Event » Attributesgenre
Description: string. Genre of the event. Open Field. e.g. Pop, Classical, Rock, Raffle, etc.
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Event » Attributesstatus
Description: int. Events can be setup in stages. A status of 5 means the even is completely setup. A status of 4 means the event is in Preview Mode - only the seller can view the listing on Ticketwise. 3, 2, and 1 each mean that the event is not complete and can be used to represent different stages in an event process if desired. 6 = canceled, 7 = paused, 8 = suspended.
Required: Yes
Rule In: 1, 2, 3, 4, 5, 7, 8
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: Yes
Rule In: 1, 2, 3, 4, 5, 7, 8
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Event » Attributesnewsletter_sent
Description: int. Has the seller sent out a newsletter for this event?
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Event » Attributesdonation_live
Description: string. Should Ticketwise accept donations for the seller? Set to 'y' if so.
Required: No
Rule In: y, n
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule In: y, n
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Event » Attributesdonation_name
Description: string. The name of the charity or organization being donated to
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Event » Attributesdate_added
Description: datetime. Date the event was added to the system
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Event » Attributesdate_edited
Description: datetime. Date the event was most recently editted
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Event » Attributesscheme_id
Description: int. Foriegn Key to Scheme (the color scheme object for this event listing)
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Event » Attributeskeywords
Description: string. Comma Seperated List of additional keywords for this event
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Event » Attributessales_open
Description: datetime. SQL Timestamp of when sales open, stored in venue timezone
Required: Yes
Rule Regex: /^(\d\d\d\d-\d\d-\d\d( \d\d\:\d\d:\d\d)?)|(NOW)$/
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: Yes
Rule Regex: /^(\d\d\d\d-\d\d-\d\d( \d\d\:\d\d:\d\d)?)|(NOW)$/
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Event » Attributesevent_start
Description: datetime. SQL Timestamp of when event starts, stored in venue timezone
Required: Yes
Rule Regex: /^(\d\d\d\d-\d\d-\d\d( \d\d\:\d\d:\d\d)?)|(NOW)$/
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: Yes
Rule Regex: /^(\d\d\d\d-\d\d-\d\d( \d\d\:\d\d:\d\d)?)|(NOW)$/
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Event » Attributesevent_end
Description: datetime. SQL Timestamp of when the event closes, leav blank/null if this is the same as the event start date
Required: No
Rule Regex: /^(\d\d\d\d-\d\d-\d\d( \d\d\:\d\d:\d\d)?)|(NOW)$/
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule Regex: /^(\d\d\d\d-\d\d-\d\d( \d\d\:\d\d:\d\d)?)|(NOW)$/
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Event » Attributesshort_name
Description: string. An alias name (slug) that can be used in the event listing URL e.g. http://tickets.ticketwise.com/event/NICKNAME. Useful for SEO.
Required: Yes
Rule Regex: /^[a-zA-Z][a-zA-Z0-9_\-]{4,64}$/
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: Yes
Rule Regex: /^[a-zA-Z][a-zA-Z0-9_\-]{4,64}$/
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Event » Attributesparent
Description: int. Foriegn Key to an Event if this event was duplicated from another
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Event » Attributesdisplay_image
Description: int. A value of 1 will show the events image as part of the event listing on Ticketwise
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Event » Attributesshow_seating_chart
Description: int. A value of 1 will bring up the link to the venue seating chart (used to be set in the color_schemes table)
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Event » Attributeslevel_description
Description: string. optional base level description
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Event » Attributesposition
Description:
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Event » Attributesapproved
Description: int. 1=approved for launch, 0=pending, -1=rejected
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Event » Attributesapproval_note
Description: string. note about approval status. mostly used for rejection.
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Event » Attributesdate_approved
Description: string. note about approval status. mostly used for rejection.
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Event » Attributesapproval_user_id
Description: string. note about approval status. mostly used for rejection.
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Event » Attributestweeted_at
Description: datetime
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Event » Attributestweet_url
Description: string. the id of the tweet that was sent
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Event » Attributescombine_additional_fees
Description:
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Event » Attributestos_id
Description:
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Event » Attributesproduct_map
Description:
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Event » Attributeslisting_url
Description:
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Event » Attributesimage_url
Description:
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Event » Attributesthumbnail_url
Description:
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Event » Attributescardprinter_layout
Description:
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » EventEvent » Relationships
API » Event » Relationshipsprice_levels
Relationship Type: hasMany
Links to Class: PriceLevel (https://tickets.ticketwise.com/rest.api/PriceLevel)
Through Foreign Key: event_id
Example URI: https://tickets.ticketwise.com/rest.api/Event/<ID>/price_levels
Access:
GET HEAD OPTIONS
Links to Class: PriceLevel (https://tickets.ticketwise.com/rest.api/PriceLevel)
Through Foreign Key: event_id
Example URI: https://tickets.ticketwise.com/rest.api/Event/<ID>/price_levels
Access:
GET HEAD OPTIONS
API » Event » Relationshipsevent_sections
Relationship Type: hasMany
Links to Class: EventSection (https://tickets.ticketwise.com/rest.api/EventSection)
Through Foreign Key: event_id
Example URI: https://tickets.ticketwise.com/rest.api/Event/<ID>/event_sections
Access:
GET HEAD OPTIONS
Links to Class: EventSection (https://tickets.ticketwise.com/rest.api/EventSection)
Through Foreign Key: event_id
Example URI: https://tickets.ticketwise.com/rest.api/Event/<ID>/event_sections
Access:
GET HEAD OPTIONS
API » Event » Relationshipsevent_seats
Relationship Type: hasMany
Links to Class: EventSeat (https://tickets.ticketwise.com/rest.api/EventSeat)
Through Foreign Key: event_id
Example URI: https://tickets.ticketwise.com/rest.api/Event/<ID>/event_seats
Access:
GET HEAD OPTIONS
Links to Class: EventSeat (https://tickets.ticketwise.com/rest.api/EventSeat)
Through Foreign Key: event_id
Example URI: https://tickets.ticketwise.com/rest.api/Event/<ID>/event_seats
Access:
GET HEAD OPTIONS
API » Event » Relationshipssection_price_levels
Relationship Type: hasMany
Links to Class: SectionPriceLevel (https://tickets.ticketwise.com/rest.api/SectionPriceLevel)
Through Foreign Key: event_id
Example URI: https://tickets.ticketwise.com/rest.api/Event/<ID>/section_price_levels
Access:
GET HEAD OPTIONS
Links to Class: SectionPriceLevel (https://tickets.ticketwise.com/rest.api/SectionPriceLevel)
Through Foreign Key: event_id
Example URI: https://tickets.ticketwise.com/rest.api/Event/<ID>/section_price_levels
Access:
GET HEAD OPTIONS
API » Event » Relationshipsnotes
Relationship Type: hasMany
Links to Class: EventNote (https://tickets.ticketwise.com/rest.api/EventNote)
Through Foreign Key: event_id
Example URI: https://tickets.ticketwise.com/rest.api/Event/<ID>/notes
Access:
GET HEAD OPTIONS
Links to Class: EventNote (https://tickets.ticketwise.com/rest.api/EventNote)
Through Foreign Key: event_id
Example URI: https://tickets.ticketwise.com/rest.api/Event/<ID>/notes
Access:
GET HEAD OPTIONS
API » Event » Relationshipspackage_child_map
Relationship Type: hasMany
Links to Class: PackageEventMap (https://tickets.ticketwise.com/rest.api/PackageEventMap)
Through Foreign Key: package_id
Example URI: https://tickets.ticketwise.com/rest.api/Event/<ID>/package_child_map
Access:
GET HEAD OPTIONS
Links to Class: PackageEventMap (https://tickets.ticketwise.com/rest.api/PackageEventMap)
Through Foreign Key: package_id
Example URI: https://tickets.ticketwise.com/rest.api/Event/<ID>/package_child_map
Access:
GET HEAD OPTIONS
API » Event » Relationshipsvenue
Relationship Type: belongsTo
Links to Class: Venue (https://tickets.ticketwise.com/rest.api/Venue)
Through Foreign Key: venue_id
Example URI: https://tickets.ticketwise.com/rest.api/Event/<ID>/venue
Access:
GET HEAD OPTIONS
Links to Class: Venue (https://tickets.ticketwise.com/rest.api/Venue)
Through Foreign Key: venue_id
Example URI: https://tickets.ticketwise.com/rest.api/Event/<ID>/venue
Access:
GET HEAD OPTIONS
API » Event » Relationshipsseller
Relationship Type: belongsTo
Links to Class: Seller (https://tickets.ticketwise.com/rest.api/Seller)
Through Foreign Key: seller_id
Example URI: https://tickets.ticketwise.com/rest.api/Event/<ID>/seller
Access:
GET HEAD OPTIONS
Links to Class: Seller (https://tickets.ticketwise.com/rest.api/Seller)
Through Foreign Key: seller_id
Example URI: https://tickets.ticketwise.com/rest.api/Event/<ID>/seller
Access:
GET HEAD OPTIONS
API » Event » Relationshipsscheme
Relationship Type: belongsTo
Links to Class: Scheme (https://tickets.ticketwise.com/rest.api/Scheme)
Through Foreign Key: scheme_id
Example URI: https://tickets.ticketwise.com/rest.api/Event/<ID>/scheme
Access:
GET HEAD OPTIONS
Links to Class: Scheme (https://tickets.ticketwise.com/rest.api/Scheme)
Through Foreign Key: scheme_id
Example URI: https://tickets.ticketwise.com/rest.api/Event/<ID>/scheme
Access:
GET HEAD OPTIONS
API » Event » Relationshipssections
Relationship Type: hasManyThru
Example URI: https://tickets.ticketwise.com/rest.api/Event/<ID>/sections
Access:
GET HEAD OPTIONS
Example URI: https://tickets.ticketwise.com/rest.api/Event/<ID>/sections
Access:
GET HEAD OPTIONS
API » Event » Relationshipsproducts
Relationship Type: hasManyThru
Example URI: https://tickets.ticketwise.com/rest.api/Event/<ID>/products
Access:
GET HEAD OPTIONS
Example URI: https://tickets.ticketwise.com/rest.api/Event/<ID>/products
Access:
GET HEAD OPTIONS
API » Event » Relationshipsbundles
Relationship Type: hasManyThru
Example URI: https://tickets.ticketwise.com/rest.api/Event/<ID>/bundles
Access:
GET HEAD OPTIONS
Example URI: https://tickets.ticketwise.com/rest.api/Event/<ID>/bundles
Access:
GET HEAD OPTIONS
https://tickets.ticketwise.com/rest.api/MemberMember
A single ticket buyer (customer) in the Ticketwise system.
Note: Members accessed by the API may have different data then you see
through the web interface. We allow Members to present different data to
each individual seller, but the API accesses the Member objects directly.
Attributes
address, address_2, city, country, email, first_name, gender, last_name, phone, state, user_id, user_name, zip
Methods
findByEmail, searchSales
Relationships
sales
API » MemberMember » Attributes
API » Member » Attributesuser_id
Description: int. Primary Key. Id of member
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Member » Attributesuser_name
Description: string. unique handle. autogenerated for the most part now.
Required: No
Rule Regex: /^.+|[a-zA-Z0-9_]{8,}$/
Access:
GET HEAD OPTIONS
Required: No
Rule Regex: /^.+|[a-zA-Z0-9_]{8,}$/
Access:
GET HEAD OPTIONS
API » Member » Attributesfirst_name
Description: string. Member first name
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Member » Attributeslast_name
Description: string. Member last name
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Member » Attributesemail
Description: string. Member email address
Required: Yes
Rule Regex: /^((?:(?:(?:[a-zA-Z0-9][\.\-\+_#]?)*)[a-zA-Z0-9]?[\.\-\+_#]?)+)\@((?:(?:(?:[a-zA-Z0-9][\.\-_#]?){0,62})[a-zA-Z0-9])+)\.([a-zA-Z0-9]{2,6})$/
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: Yes
Rule Regex: /^((?:(?:(?:[a-zA-Z0-9][\.\-\+_#]?)*)[a-zA-Z0-9]?[\.\-\+_#]?)+)\@((?:(?:(?:[a-zA-Z0-9][\.\-_#]?){0,62})[a-zA-Z0-9])+)\.([a-zA-Z0-9]{2,6})$/
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Member » Attributesgender
Description: string. Member gender ('m' or 'f')
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Member » Attributesaddress
Description: string. First line of Member address
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Member » Attributesaddress_2
Description: string. Second line of Member address (if applicable)
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Member » Attributescity
Description: string. Member city
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Member » Attributescountry
Description: string. Member country code
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Member » Attributesstate
Description: string. Member's geographical state
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Member » Attributeszip
Description: string. Member postal code
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Member » Attributesphone
Description: string. Member phone number
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » MemberMember » Methods
API »Member » MethodsfindByEmail
Description: Searches for a Member object given an email address. Note: Members found by
this method may have different data then you see through the web interface.
We allow Members to present different data to each individual seller,
but the API accesses the Member objects directly.
Parameters:
email - required; email address to search forReturns: Member object
Parameters:
email - required; email address to search forReturns: Member object
API »Member » MethodssearchSales
Description: Find sales completed by a given Member
Parameters:
email - optional; search for a Member by their email. Only use if you don't have access to their Member ID. start_date - optional; find sales completed after the given date (inclusive) end_date - optional; find sales completed before the given date (inclusive)Returns: array of Sale objects
Parameters:
email - optional; search for a Member by their email. Only use if you don't have access to their Member ID. start_date - optional; find sales completed after the given date (inclusive) end_date - optional; find sales completed before the given date (inclusive)Returns: array of Sale objects
API » MemberMember » Relationships
API » Member » Relationshipssales
Relationship Type: hasMany
Links to Class: Sale (https://tickets.ticketwise.com/rest.api/Sale)
Through Foreign Key: user_id
Example URI: https://tickets.ticketwise.com/rest.api/Member/<ID>/sales
Access:
GET HEAD OPTIONS
Links to Class: Sale (https://tickets.ticketwise.com/rest.api/Sale)
Through Foreign Key: user_id
Example URI: https://tickets.ticketwise.com/rest.api/Member/<ID>/sales
Access:
GET HEAD OPTIONS
https://tickets.ticketwise.com/rest.api/PartnerPartner
Attributes
home_url, locale, partner_id, partner_name
Relationships
events, sellers, venues
API » PartnerPartner » Attributes
API » Partner » Attributespartner_id
Description:
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Partner » Attributespartner_name
Description:
Required: Yes
Rule : N/A
Access:
GET HEAD OPTIONS
Required: Yes
Rule : N/A
Access:
GET HEAD OPTIONS
API » Partner » Attributeslocale
Description:
Required: Yes
Rule : N/A
Access:
GET HEAD OPTIONS
Required: Yes
Rule : N/A
Access:
GET HEAD OPTIONS
API » Partner » Attributeshome_url
Description:
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » PartnerPartner » Relationships
API » Partner » Relationshipssellers
Relationship Type: hasMany
Links to Class: Seller (https://tickets.ticketwise.com/rest.api/Seller)
Through Foreign Key: partner_id
Example URI: https://tickets.ticketwise.com/rest.api/Partner/<ID>/sellers
Access:
GET HEAD OPTIONS
Links to Class: Seller (https://tickets.ticketwise.com/rest.api/Seller)
Through Foreign Key: partner_id
Example URI: https://tickets.ticketwise.com/rest.api/Partner/<ID>/sellers
Access:
GET HEAD OPTIONS
API » Partner » Relationshipsevents
Relationship Type: hasManyThru
Example URI: https://tickets.ticketwise.com/rest.api/Partner/<ID>/events
Access:
GET HEAD OPTIONS
Example URI: https://tickets.ticketwise.com/rest.api/Partner/<ID>/events
Access:
GET HEAD OPTIONS
API » Partner » Relationshipsvenues
Relationship Type: hasManyThru
Example URI: https://tickets.ticketwise.com/rest.api/Partner/<ID>/venues
Access:
GET HEAD OPTIONS
Example URI: https://tickets.ticketwise.com/rest.api/Partner/<ID>/venues
Access:
GET HEAD OPTIONS
https://tickets.ticketwise.com/rest.api/PriceLevelPriceLevel
PriceLevels represent additional price levels for an event. Every price level that a seller wishes to add must be added by creating a new PriceLevel instance.
PriceLevels are only valid for Events at General Admission Venues (meaning they are not seated venues).
To get all price levels for an event, you can use the custom URI http://tickets.ticketwise.com/rest.api/Event/
Attributes
active, bos_price, box_office_hide, description, event_id, increment_by, level, level_id, limit, min_price, parent_id, position, price, transaction_limit, upsell_price
Relationships
API » PriceLevelPriceLevel » Attributes
API » PriceLevel » Attributeslevel_id
Description:
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » PriceLevel » Attributesevent_id
Description:
Required: Yes
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: Yes
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » PriceLevel » Attributesprice
Description: float. online price
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » PriceLevel » Attributesmin_price
Description: float. online price
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » PriceLevel » Attributesbos_price
Description: float. box office price
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » PriceLevel » Attributeslevel
Description:
Required: Yes
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: Yes
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » PriceLevel » Attributeslimit
Description: int. The max number of tickets that can be sold for this PL. A value of 0 or otherwise <= than the number of tix sold effectively disables the PL, but it will still be displayed on the event page in contrast to inactivating it. NULL means ulimited (defaults to the event limit)
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » PriceLevel » Attributesactive
Description: bool. defaults to 1
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » PriceLevel » Attributesdescription
Description:
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » PriceLevel » Attributesparent_id
Description: int. Used for linking to parent price levels with recurring events
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » PriceLevel » Attributesposition
Description:
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » PriceLevel » Attributesincrement_by
Description: Online listing page increments the purchase tickets on this price level by this number
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » PriceLevel » Attributestransaction_limit
Description: Individual price level transaction limit
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » PriceLevel » Attributesupsell_price
Description: float. price to sell at when upselling
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » PriceLevel » Attributesbox_office_hide
Description: bool Ignored by individual seats for now - goes off of EventSection
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » PriceLevelPriceLevel » Relationships
No relationships accessible from the APIhttps://tickets.ticketwise.com/rest.api/SaleSale
Attributes
addl_fees_total, address, address_2, buyer_fee, buyer_fee_covered, cardnumber, city, confirmation_number, country, currency, custom_buyer_fee, date, delivery_fee, delivery_type, discount, donation, email, event_id, first_four, is_POS, payment_method, phone, purchase_for, sale_id, seller_fee, seller_id, service_fee_discount, state, tickets, total_cost, transaction_id, user_id, venue_fee, zip
Methods
search
Relationships
cancel_set, ticket_set
API » SaleSale » Attributes
API » Sale » Attributessale_id
Description: int. Primary Key. ID of Sale
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Sale » Attributesevent_id
Description: int. Foreign Key to an Event. See http://tickets.ticketwise.com/rest.api/Event
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Sale » Attributesseller_id
Description: int. Foregin Key to a Seller. See http://tickets.ticketwise.com/rest.api/Seller
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Sale » Attributesuser_id
Description: int. Foreign Key to a Member. See http://tickets.ticketwise.com/rest.api/Member
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Sale » Attributestransaction_id
Description: deprecated, now set on ReservationPayment. string. id returned from the gateway used
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Sale » Attributestickets
Description: int. number of tickets in sale.
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Sale » Attributesconfirmation_number
Description: string. Confirmation number used internally to track this sale.
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Sale » Attributestotal_cost
Description: float. Total cost of this sale
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Sale » Attributesbuyer_fee
Description: float. probably the most confusing attribute name. this is the TOTAL SERVICE FEE
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Sale » Attributesseller_fee
Description: float. the amount of the service fee covered BY THE SELLER
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Sale » Attributesbuyer_fee_covered
Description: int. % of fee covered by seller. 0 thru 100.
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Sale » Attributescustom_buyer_fee
Description: float. Any custom fees setup for this seller
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Sale » Attributesaddl_fees_total
Description: float. Total of any and all additional fees
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Sale » Attributesservice_fee_discount
Description: float. The amount of any service fee discounts, if applicable
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Sale » Attributesdonation
Description: float. The amount of a donation received on this sale, if any
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Sale » Attributesvenue_fee
Description: float. The amount of a venue-specific fee, if any
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Sale » Attributesdelivery_fee
Description: float. The amount of a delivery fee, if any
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Sale » Attributesdelivery_type
Description: int. The type of delivery
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Sale » Attributesdiscount
Description: float. The amount of any discounts, if any
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Sale » Attributescardnumber
Description: deprecated, now set on ReservationPayment. string. last four digits of credit card
Required: No
Rule Regex: /^\d{13,16}|\d{4}$/
Access:
GET HEAD OPTIONS
Required: No
Rule Regex: /^\d{13,16}|\d{4}$/
Access:
GET HEAD OPTIONS
API » Sale » Attributesfirst_four
Description: deprecated, now set on ReservationPayment. string. first 4 digits of the credit card number determines type
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Sale » Attributesdate
Description: datetime. Time of sale (format 'YYYY:MM:dd HH:mm:ss')
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Sale » Attributesaddress
Description: deprecated, now set on ReservationPayment. string. First line of the address used for this sale
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Sale » Attributesaddress_2
Description: deprecated, now set on ReservationPayment. string. Second line of the address used for this sale
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Sale » Attributescity
Description: deprecated, now set on ReservationPayment. string. City used for this sale
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Sale » Attributesstate
Description: deprecated, now set on ReservationPayment.string. Geographical state used for this sale
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Sale » Attributeszip
Description: deprecated, now set on ReservationPayment. string. Postal code used for this sale
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Sale » Attributescountry
Description: deprecated, now set on ReservationPayment. string. Country code used for this sale
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Sale » Attributesphone
Description: deprecated, now set on ReservationPayment. string. Phone number used for this sale
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Sale » Attributesemail
Description: deprecated, now set on Reservation. string. Email address used for this order
Required: Yes
Rule Regex: /^((?:(?:(?:[a-zA-Z0-9][\.\-\+_#]?)*)[a-zA-Z0-9]?[\.\-\+_#]?)+)\@((?:(?:(?:[a-zA-Z0-9][\.\-_#]?){0,62})[a-zA-Z0-9])+)\.([a-zA-Z0-9]{2,6})$/
Access:
GET HEAD OPTIONS
Required: Yes
Rule Regex: /^((?:(?:(?:[a-zA-Z0-9][\.\-\+_#]?)*)[a-zA-Z0-9]?[\.\-\+_#]?)+)\@((?:(?:(?:[a-zA-Z0-9][\.\-_#]?){0,62})[a-zA-Z0-9])+)\.([a-zA-Z0-9]{2,6})$/
Access:
GET HEAD OPTIONS
API » Sale » Attributespurchase_for
Description: string. Name of the person this sale was purchased for, if different than the person paying
Required: Yes
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: Yes
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Sale » Attributesis_POS
Description: int. Flag for indicating if this was a Point Of Sale sale (1 = yes, 0 = no)
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Sale » Attributespayment_method
Description: int. fk to PaymentType. the method of payment. in the case of multiple payments, becomes PAYMENT_SPLIT
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Sale » Attributescurrency
Description: string. Three Char ISO 4217 currency code (e.g. USD)
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » SaleSale » Methods
API »Sale » Methodssearch
Description: Find completed sales
Parameters:
email - optional; search for a Member by their email. Only use if you don't have access to their Member ID. start_date - optional; find sales completed after the given date (inclusive) end_date - optional; find sales completed before the given date (inclusive) event - optional; ID of event to narrow the search to seller - optional; ID of seller to narrow search to (only available if authenticated as a partner level user)Returns: array of Sale objects
Parameters:
email - optional; search for a Member by their email. Only use if you don't have access to their Member ID. start_date - optional; find sales completed after the given date (inclusive) end_date - optional; find sales completed before the given date (inclusive) event - optional; ID of event to narrow the search to seller - optional; ID of seller to narrow search to (only available if authenticated as a partner level user)Returns: array of Sale objects
API » SaleSale » Relationships
API » Sale » Relationshipsticket_set
Relationship Type: hasMany
Links to Class: Ticket (https://tickets.ticketwise.com/rest.api/Ticket)
Through Foreign Key: sale_id
Example URI: https://tickets.ticketwise.com/rest.api/Sale/<ID>/ticket_set
Access:
GET HEAD OPTIONS
Links to Class: Ticket (https://tickets.ticketwise.com/rest.api/Ticket)
Through Foreign Key: sale_id
Example URI: https://tickets.ticketwise.com/rest.api/Sale/<ID>/ticket_set
Access:
GET HEAD OPTIONS
API » Sale » Relationshipscancel_set
Relationship Type: hasMany
Links to Class: TicketCanceled (https://tickets.ticketwise.com/rest.api/TicketCanceled)
Through Foreign Key: sale_id
Example URI: https://tickets.ticketwise.com/rest.api/Sale/<ID>/cancel_set
Access:
GET HEAD OPTIONS
Links to Class: TicketCanceled (https://tickets.ticketwise.com/rest.api/TicketCanceled)
Through Foreign Key: sale_id
Example URI: https://tickets.ticketwise.com/rest.api/Sale/<ID>/cancel_set
Access:
GET HEAD OPTIONS
https://tickets.ticketwise.com/rest.api/SchemeScheme
Schemes (aka Color Schemes) are stored templates for event listings. These color schemes can be attached to events to change the "look and feel" of the event listing. Usually this is done to allow sellers to match their existing website or branding.
Schemes are composed of several color and image options. All images should be provided in full URL format (e.g. "http://example.com/my-image.jpg"). All colors are stored as hex values WITHOUT a leading hash (#) or "0x" (e.g. "FFFFFF").
Attributes
background_attachment, background_color, background_image, background_position, background_repeat, comments, creator_id, custom_css, display_date, header_image, hide_map_link, is_default, primary_color, rounded_corners, scheme_id, scheme_name, secondary_color, show_facebook, show_on_email, show_recaptcha, show_twitter, whos_going
Relationships
creator, events
API » SchemeScheme » Attributes
API » Scheme » Attributesscheme_id
Description: int. primary key
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Scheme » Attributescreator_id
Description: int. foreign key to seller id
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Scheme » Attributesscheme_name
Description: string. name of the color scheme/template
Required: Yes
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: Yes
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Scheme » Attributesprimary_color
Description: string. color of headings and ticket box. hex (no leading # or 0x) e.g. FFFFFF
Required: Yes
Rule : N/A
Access:
GET HEAD OPTIONS
Required: Yes
Rule : N/A
Access:
GET HEAD OPTIONS
API » Scheme » Attributessecondary_color
Description: string. color of description font and accents. hex (no leading # or 0x) e.g. FFFFFF
Required: Yes
Rule : N/A
Access:
GET HEAD OPTIONS
Required: Yes
Rule : N/A
Access:
GET HEAD OPTIONS
API » Scheme » Attributesbackground_color
Description: string. color of the background of the event listing. hex (no leading # or 0x) e.g. FFFFFF
Required: Yes
Rule : N/A
Access:
GET HEAD OPTIONS
Required: Yes
Rule : N/A
Access:
GET HEAD OPTIONS
API » Scheme » Attributesbackground_image
Description: string. Filename of seating chart image. full image URL e.g. http://example.com/my-image.jpg
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Scheme » Attributesbackground_repeat
Description:
Required: No
Rule In: no-repeat, repeat, repeat-x, repeat-y
Access:
GET HEAD OPTIONS
Required: No
Rule In: no-repeat, repeat, repeat-x, repeat-y
Access:
GET HEAD OPTIONS
API » Scheme » Attributesheader_image
Description: string. full URL to image
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Scheme » Attributescomments
Description: bool. show user comments in the event listing?
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Scheme » Attributeswhos_going
Description:
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Scheme » Attributesdisplay_date
Description: bool. display the date as part of the event listing?
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Scheme » Attributeshide_map_link
Description:
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Scheme » Attributesis_default
Description:
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Scheme » Attributesshow_recaptcha
Description: bool. require captcha to be solved for bot protection
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Scheme » Attributesshow_facebook
Description:
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Scheme » Attributesshow_twitter
Description:
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Scheme » Attributesrounded_corners
Description: bool. rounded corners on checkout
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Scheme » Attributesbackground_position
Description: background image position
Required: No
Rule In: left top, center top, right top
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule In: left top, center top, right top
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Scheme » Attributesbackground_attachment
Description: background image: fixed or scroll
Required: No
Rule In: fixed, scroll
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule In: fixed, scroll
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Scheme » Attributescustom_css
Description: a custom CSS blob that the user can type in.
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Scheme » Attributesshow_on_email
Description: show the header image in outbound emails related to the scheme
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » SchemeScheme » Relationships
API » Scheme » Relationshipsevents
Relationship Type: hasMany
Links to Class: Event (https://tickets.ticketwise.com/rest.api/Event)
Through Foreign Key: scheme_id
Example URI: https://tickets.ticketwise.com/rest.api/Scheme/<ID>/events
Access:
GET HEAD OPTIONS
Links to Class: Event (https://tickets.ticketwise.com/rest.api/Event)
Through Foreign Key: scheme_id
Example URI: https://tickets.ticketwise.com/rest.api/Scheme/<ID>/events
Access:
GET HEAD OPTIONS
API » Scheme » Relationshipscreator
Relationship Type: belongsTo
Links to Class: Seller (https://tickets.ticketwise.com/rest.api/Seller)
Through Foreign Key: creator_id
Example URI: https://tickets.ticketwise.com/rest.api/Scheme/<ID>/creator
Access:
GET HEAD OPTIONS
Links to Class: Seller (https://tickets.ticketwise.com/rest.api/Seller)
Through Foreign Key: creator_id
Example URI: https://tickets.ticketwise.com/rest.api/Scheme/<ID>/creator
Access:
GET HEAD OPTIONS
https://tickets.ticketwise.com/rest.api/SellerSeller
Attributes
address1, address2, city, commission_start_date, country, currency, custom_ticket_url, email, fax, first_name, industry_id, last_name, layout, locale, organization, phone, seller_id, short_name, state, tos, twitter_screen_name, user_id, zip
Relationships
events, partner, venues
API » SellerSeller » Attributes
API » Seller » Attributesseller_id
Description: int. Primary key of seller
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Seller » Attributesfirst_name
Description: string. first name of seller
Required: Yes
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: Yes
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Seller » Attributesorganization
Description: string. seller's organization
Required: Yes
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: Yes
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Seller » Attributeslast_name
Description: string. last name of sellet
Required: Yes
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: Yes
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Seller » Attributesaddress1
Description: string. seller's address
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Seller » Attributesaddress2
Description: string.
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Seller » Attributescity
Description: string.
Required: Yes
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: Yes
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Seller » Attributesstate
Description: string. Two letter state abbreviation.
Required: Yes
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: Yes
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Seller » Attributeszip
Description: string. Post code for the seller.
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Seller » Attributescountry
Description: string.
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Seller » Attributesphone
Description: string.
Required: Yes
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: Yes
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Seller » Attributesfax
Description: string.
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Seller » Attributesemail
Description: string.
Required: Yes
Rule Regex: /^((?:(?:(?:[a-zA-Z0-9][\.\-\+_#]?)*)[a-zA-Z0-9]?[\.\-\+_#]?)+)\@((?:(?:(?:[a-zA-Z0-9][\.\-_#]?){0,62})[a-zA-Z0-9])+)\.([a-zA-Z0-9]{2,6})$/
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: Yes
Rule Regex: /^((?:(?:(?:[a-zA-Z0-9][\.\-\+_#]?)*)[a-zA-Z0-9]?[\.\-\+_#]?)+)\@((?:(?:(?:[a-zA-Z0-9][\.\-_#]?){0,62})[a-zA-Z0-9])+)\.([a-zA-Z0-9]{2,6})$/
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Seller » Attributesshort_name
Description: string. An alias (slug) for this seller. This will also "create" the URL http://SHORT_NAME.ticketwise.com for this seller. This URL will list their events.
Required: No
Rule Regex: /^[a-zA-Z][a-zA-Z0-9_\-]{4,64}$/
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule Regex: /^[a-zA-Z][a-zA-Z0-9_\-]{4,64}$/
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Seller » Attributesuser_id
Description: int. authoritative user for this seller.
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Seller » Attributescommission_start_date
Description:
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Seller » Attributeslocale
Description: string. ISO 639.1/639.2 + ISO 3166 format of language_COUNTRY (e.g. en_US)
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Seller » Attributestos
Description: string. tos
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Seller » Attributeslayout
Description: custom ticket layout
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Seller » Attributescustom_ticket_url
Description: custom ticket background
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Seller » Attributestwitter_screen_name
Description:
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Seller » Attributesindustry_id
Description:
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Seller » Attributescurrency
Description:
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » SellerSeller » Relationships
API » Seller » Relationshipsevents
Relationship Type: hasMany
Links to Class: Event (https://tickets.ticketwise.com/rest.api/Event)
Through Foreign Key: seller_id
Example URI: https://tickets.ticketwise.com/rest.api/Seller/<ID>/events
Access:
GET HEAD OPTIONS
Links to Class: Event (https://tickets.ticketwise.com/rest.api/Event)
Through Foreign Key: seller_id
Example URI: https://tickets.ticketwise.com/rest.api/Seller/<ID>/events
Access:
GET HEAD OPTIONS
API » Seller » Relationshipspartner
Relationship Type: belongsTo
Links to Class: Partner (https://tickets.ticketwise.com/rest.api/Partner)
Through Foreign Key: partner_id
Example URI: https://tickets.ticketwise.com/rest.api/Seller/<ID>/partner
Access:
GET HEAD OPTIONS
Links to Class: Partner (https://tickets.ticketwise.com/rest.api/Partner)
Through Foreign Key: partner_id
Example URI: https://tickets.ticketwise.com/rest.api/Seller/<ID>/partner
Access:
GET HEAD OPTIONS
API » Seller » Relationshipsvenues
Relationship Type: hasManyThru
Example URI: https://tickets.ticketwise.com/rest.api/Seller/<ID>/venues
Access:
GET HEAD OPTIONS
Example URI: https://tickets.ticketwise.com/rest.api/Seller/<ID>/venues
Access:
GET HEAD OPTIONS
https://tickets.ticketwise.com/rest.api/TicketTicket
Attributes
auto_discount, barcode, buyer_fee, comp_amount, cost, discount, donation, event_id, event_section_id, held, pricing_level_id, purchase_for, reservation_id, sale_id, service_fee, status, ticket_id, user_id
Relationships
API » TicketTicket » Attributes
API » Ticket » Attributesticket_id
Description: int. Primary Key
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Ticket » Attributesevent_id
Description: int. Event foreign key
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Ticket » Attributesevent_section_id
Description: int. EventSection foreign key
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Ticket » Attributespricing_level_id
Description: int. PriceLevel foreign key
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Ticket » Attributesuser_id
Description: int. Member foreign key.
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Ticket » Attributessale_id
Description: int. Sale foreign key.
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Ticket » Attributescost
Description: original "face value" of the ticket. Will be set to zero in the case of a comp checkout type, but will keep its original value if comp is triggered by automatic discount or discount coupon(s)
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Ticket » Attributescomp_amount
Description: float. POSITIVE. amount comped on this ticket. Used when the order is comped via COMP payment method or a comp coupon.
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Ticket » Attributesservice_fee
Description: float. the TOTAL SERVICE FEE on this ticket
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Ticket » Attributesbuyer_fee
Description: float. the amount of the service fee PAID BY THE BUYER
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Ticket » Attributesdiscount
Description: float. NEGATIVE. amount of discount applied to just this ticket and only as a result of discount coupons. Used for discount and comp coupons.
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Ticket » Attributesauto_discount
Description: float. NEGATIVE. amount of the automatic discount applied to this ticket (typically one ticket per order)
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Ticket » Attributesdonation
Description: float. donation amount associated with this ticket (this will appear on only one ticket per event)
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Ticket » Attributespurchase_for
Description: string. the name attached to this ticket (if one is directly attached)
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Ticket » Attributesheld
Description: datetime. time the ticket was originalyl held (a.k.a. added to cart).
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Ticket » Attributesbarcode
Description: string. Barcode for this ticket.
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Ticket » Attributesstatus
Description: See ticket status types below -> Default to 1?
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Ticket » Attributesreservation_id
Description: int. fk to reservation
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » TicketTicket » Relationships
No relationships accessible from the APIhttps://tickets.ticketwise.com/rest.api/TicketCanceledTicketCanceled
Attributes
auto_discount, barcode, buyer_fee, comp_amount, cost, discount, donation, event_id, event_section_id, held, pricing_level_id, purchase_for, reservation_id, sale_id, service_fee, status, ticket_id, user_id, void_time
Relationships
API » TicketCanceledTicketCanceled » Attributes
API » TicketCanceled » Attributesticket_id
Description: int. Primary Key
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » TicketCanceled » Attributesevent_id
Description: int. Event foreign key
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » TicketCanceled » Attributesevent_section_id
Description: int. EventSection foreign key
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » TicketCanceled » Attributespricing_level_id
Description: int. PriceLevel foreign key
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » TicketCanceled » Attributesuser_id
Description: int. Member foreign key.
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » TicketCanceled » Attributessale_id
Description: int. Sale foreign key.
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » TicketCanceled » Attributescost
Description: original "face value" of the ticket. Will be set to zero in the case of a comp checkout type, but will keep its original value if comp is triggered by automatic discount or discount coupon(s)
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » TicketCanceled » Attributescomp_amount
Description: float. POSITIVE. amount comped on this ticket. Used when the order is comped via COMP payment method or a comp coupon.
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » TicketCanceled » Attributesservice_fee
Description: float. the TOTAL SERVICE FEE on this ticket
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » TicketCanceled » Attributesbuyer_fee
Description: float. the amount of the service fee PAID BY THE BUYER
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » TicketCanceled » Attributesdiscount
Description: float. NEGATIVE. amount of discount applied to just this ticket and only as a result of discount coupons. Used for discount and comp coupons.
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » TicketCanceled » Attributesauto_discount
Description: float. NEGATIVE. amount of the automatic discount applied to this ticket (typically one ticket per order)
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » TicketCanceled » Attributesdonation
Description: float. donation amount associated with this ticket (this will appear on only one ticket per event)
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » TicketCanceled » Attributespurchase_for
Description: string. the name attached to this ticket (if one is directly attached)
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » TicketCanceled » Attributesheld
Description: datetime. time the ticket was originalyl held (a.k.a. added to cart).
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » TicketCanceled » Attributesbarcode
Description: string. Barcode for this ticket.
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » TicketCanceled » Attributesstatus
Description: See ticket status types below -> Default to 1?
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » TicketCanceled » Attributesreservation_id
Description: int. fk to reservation
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » TicketCanceled » Attributesvoid_time
Description: datetime. When was this ticket voided
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » TicketCanceledTicketCanceled » Relationships
No relationships accessible from the APIhttps://tickets.ticketwise.com/rest.api/VenueVenue
Venue represents the location where an event is occurring. All events
must have a venue associated with it. Venues and Sellers is a many to
many relationship mapped through VenueSellers
Attributes
address, booking_info, capacity, city, contact_name, contact_title, country, description, email, fax, image, lat, lng, phone, seating_chart, seating_chart_name, seating_chart_type, state, status, timezone, timezone_name, url, venue_id, venue_name, zip
Relationships
events, seats, sections
API » VenueVenue » Attributes
API » Venue » Attributesvenue_id
Description: int. primary key.
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Venue » Attributesvenue_name
Description: string.
Required: Yes
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: Yes
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Venue » Attributesseating_chart_name
Description: string. A way to differenciate between multiple seating setups at the same venue
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Venue » Attributescapacity
Description: int. The maximum capacity of this venue
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Venue » Attributesdescription
Description: string. A text description of this venue
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Venue » Attributesbooking_info
Description: string. Additional information about bookings at this venue
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Venue » Attributesimage
Description: string. Filename of image. May allow base64 encoded POSTing/PUTting in the future but not supported at the moment.
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Venue » Attributesseating_chart
Description: string. Filename of seating chart image. May allow base64 encoded POSTing/PUTting in the future but not supported at the moment.
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » Venue » Attributesseating_chart_type
Description: int. 2 for static image. 3 for swf.
Required: No
Rule In: 2, 3
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule In: 2, 3
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Venue » Attributesurl
Description: string. URL to this venue's website.
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Venue » Attributescontact_name
Description: string. Full name of the Contact for the venue.
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Venue » Attributescontact_title
Description: string. The Contact's title at the Venue or relationship with the venue. E.g. Promoter
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Venue » Attributesaddress
Description: string.
Required: Yes
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: Yes
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Venue » Attributescity
Description: string.
Required: Yes
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: Yes
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Venue » Attributesstate
Description: string. Geo::$states,
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Venue » Attributeszip
Description: int.
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Venue » Attributescountry
Description: string. Geo::$countries
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Venue » Attributesphone
Description: string.
Required: No
Rule Regex: /^(?:\+?(?:1|\d{2}|011))?(?:[\s\-\.]?\(?\d{2,4}\)?){2,4}(?:x\d{1,5})?$/
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule Regex: /^(?:\+?(?:1|\d{2}|011))?(?:[\s\-\.]?\(?\d{2,4}\)?){2,4}(?:x\d{1,5})?$/
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Venue » Attributesfax
Description: string.
Required: No
Rule Regex: /^(?:\+?(?:1|\d{2}|011))?(?:[\s\-\.]?\(?\d{2,4}\)?){2,4}(?:x\d{1,5})?$/
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule Regex: /^(?:\+?(?:1|\d{2}|011))?(?:[\s\-\.]?\(?\d{2,4}\)?){2,4}(?:x\d{1,5})?$/
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Venue » Attributesemail
Description: string.
Required: No
Rule Regex: /^((?:(?:(?:[a-zA-Z0-9][\.\-\+_#]?)*)[a-zA-Z0-9]?[\.\-\+_#]?)+)\@((?:(?:(?:[a-zA-Z0-9][\.\-_#]?){0,62})[a-zA-Z0-9])+)\.([a-zA-Z0-9]{2,6})$/
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule Regex: /^((?:(?:(?:[a-zA-Z0-9][\.\-\+_#]?)*)[a-zA-Z0-9]?[\.\-\+_#]?)+)\@((?:(?:(?:[a-zA-Z0-9][\.\-_#]?){0,62})[a-zA-Z0-9])+)\.([a-zA-Z0-9]{2,6})$/
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Venue » Attributestimezone
Description: int. The UTC offset for this venue's timezone. E.g. -5 for UTC-5 Eastern Standard Time. Deprecated now...
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Venue » Attributesstatus
Description: int. The type of the venue: 2 if basic, 3 if seated. Seated Venues will need to be setup through Ticketwise. Please contact Ticketwise if you wish to create a seated venue.
Required: Yes
Rule In: 2, 3
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: Yes
Rule In: 2, 3
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Venue » Attributeslat
Description: double. The Venue's Latitude. This is an approximation.
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Venue » Attributeslng
Description: double. The Venue's Longitude. This is an approximation.
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » Venue » Attributestimezone_name
Description: string. the ZONE/NAME style timezone name. replaces the old hourly offset method.
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » VenueVenue » Relationships
API » Venue » Relationshipsevents
Relationship Type: hasMany
Links to Class: Event (https://tickets.ticketwise.com/rest.api/Event)
Through Foreign Key: venue_id
Example URI: https://tickets.ticketwise.com/rest.api/Venue/<ID>/events
Access:
GET HEAD OPTIONS
Links to Class: Event (https://tickets.ticketwise.com/rest.api/Event)
Through Foreign Key: venue_id
Example URI: https://tickets.ticketwise.com/rest.api/Venue/<ID>/events
Access:
GET HEAD OPTIONS
API » Venue » Relationshipssections
Relationship Type: hasMany
Links to Class: VenueSection (https://tickets.ticketwise.com/rest.api/VenueSection)
Through Foreign Key: venue_id
Example URI: https://tickets.ticketwise.com/rest.api/Venue/<ID>/sections
Access:
GET HEAD OPTIONS
Links to Class: VenueSection (https://tickets.ticketwise.com/rest.api/VenueSection)
Through Foreign Key: venue_id
Example URI: https://tickets.ticketwise.com/rest.api/Venue/<ID>/sections
Access:
GET HEAD OPTIONS
API » Venue » Relationshipsseats
Relationship Type: hasMany
Links to Class: VenueSeat (https://tickets.ticketwise.com/rest.api/VenueSeat)
Through Foreign Key: venue_id
Example URI: https://tickets.ticketwise.com/rest.api/Venue/<ID>/seats
Access:
GET HEAD OPTIONS
Links to Class: VenueSeat (https://tickets.ticketwise.com/rest.api/VenueSeat)
Through Foreign Key: venue_id
Example URI: https://tickets.ticketwise.com/rest.api/Venue/<ID>/seats
Access:
GET HEAD OPTIONS
https://tickets.ticketwise.com/rest.api/VenueSellersVenueSellers
Maps a seller to a venue. Makes that seller an admin of a venue.
Attributes
date, seller_id, venue_id
Relationships
seller, venue
API » VenueSellersVenueSellers » Attributes
API » VenueSellers » Attributesvenue_id
Description: int. foreign key to Venue
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » VenueSellers » Attributesseller_id
Description: int. foreign key to Seller
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET PUT POST DELETE HEAD OPTIONS
API » VenueSellers » Attributesdate
Description: datetime. time when venue was added to system. set automatically by a hook.
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
Required: No
Rule : N/A
Access:
GET HEAD OPTIONS
API » VenueSellersVenueSellers » Relationships
API » VenueSellers » Relationshipsvenue
Relationship Type: belongsTo
Links to Class: Venue (https://tickets.ticketwise.com/rest.api/Venue)
Through Foreign Key: venue_id
Example URI: https://tickets.ticketwise.com/rest.api/VenueSellers/<ID>/venue
Access:
GET HEAD OPTIONS
Links to Class: Venue (https://tickets.ticketwise.com/rest.api/Venue)
Through Foreign Key: venue_id
Example URI: https://tickets.ticketwise.com/rest.api/VenueSellers/<ID>/venue
Access:
GET HEAD OPTIONS
API » VenueSellers » Relationshipsseller
Relationship Type: belongsTo
Links to Class: Seller (https://tickets.ticketwise.com/rest.api/Seller)
Through Foreign Key: seller_id
Example URI: https://tickets.ticketwise.com/rest.api/VenueSellers/<ID>/seller
Access:
GET HEAD OPTIONS
Links to Class: Seller (https://tickets.ticketwise.com/rest.api/Seller)
Through Foreign Key: seller_id
Example URI: https://tickets.ticketwise.com/rest.api/VenueSellers/<ID>/seller
Access:
GET HEAD OPTIONS